PATCH
/api/public/v1/settings/personal

Update personal settings

Update one or more of the calling user’s personal preferences.

Request Body

PropertyTypeDescription
notificationsEnabledbooleanNotifications toggle.
soundEnabledbooleanSound toggle.
weekStartsOnMondaybooleanWeek-start preference.
privacyModebooleanPrivacy mode toggle.
projectsDefaultViewstringDefault view for projects.
PATCHExample request
curl
curl -X PATCH "https://www.pxb.app/api/public/v1/settings/personal" \
  -H "X-Organization-Id: your_org_id" \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "privacyMode": true,
    "projectsDefaultView": "KANBAN"
  }'
200Example response
json
{
  "message": "Personal settings updated successfully!",
  "content": {
    "settings": {
      "privacyMode": true
    }
  }
}